Public Class Form1
    Private Tipp As New ToolTip                     ' kurzinformationen
    'Private booSpielAktiv As Boolean = False    ' spiel gestartet?    
    Private Const strSPIELANLEITUNG = "rechenkuenstler.pdf"
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        '--- die 20 zahlen
        AlleZahlen.Add(Label0) : AlleZahlen.Add(Label1) : AlleZahlen.Add(Label2) : AlleZahlen.Add(Label3) : AlleZahlen.Add(Label4)
        AlleZahlen.Add(Label5) : AlleZahlen.Add(Label6) : AlleZahlen.Add(Label7) : AlleZahlen.Add(Label8) : AlleZahlen.Add(Label9)
        AlleZahlen.Add(Label10) : AlleZahlen.Add(Label11) : AlleZahlen.Add(Label12) : AlleZahlen.Add(Label13) : AlleZahlen.Add(Label14)
        AlleZahlen.Add(Label15) : AlleZahlen.Add(Label16) : AlleZahlen.Add(Label17) : AlleZahlen.Add(Label18) : AlleZahlen.Add(Label19)
        '--- alle bildfelder für die würfel
        ZeichneWuerfel.Add(Pic0) : ZeichneWuerfel.Add(Pic1) : ZeichneWuerfel.Add(Pic2) : ZeichneWuerfel.Add(Pic3) : ZeichneWuerfel.Add(Pic4) : ZeichneWuerfel.Add(Pic5)
        ZeichneWuerfel.Add(Pic6) : ZeichneWuerfel.Add(Pic7) : ZeichneWuerfel.Add(Pic8) : ZeichneWuerfel.Add(Pic9) : ZeichneWuerfel.Add(Pic10) : ZeichneWuerfel.Add(Pic11)
        '--- rechenzeichen 
        BildNr.Add(FrmBilder.Pic0) : BildNr.Add(FrmBilder.Pic1) : BildNr.Add(FrmBilder.Pic2) : BildNr.Add(FrmBilder.Pic3)
        BildNr.Add(FrmBilder.Pic4) : BildNr.Add(FrmBilder.Pic5) : BildNr.Add(FrmBilder.Pic6)
        '--- kurzinformation
        RechenZeichen.Add(LblR0) : RechenZeichen.Add(LblR1) : RechenZeichen.Add(LblR2) : RechenZeichen.Add(LblR3) : RechenZeichen.Add(LblR4)
        '--- kurzinformation
        Tipp.AutoPopDelay = 5000 : Tipp.InitialDelay = 1000 : Tipp.ReshowDelay = 500 : Tipp.IsBalloon = True : Tipp.ShowAlways = False
        Tipp.SetToolTip(CmdBeenden, "Spiel beenden") : Tipp.SetToolTip(CmdWuerfeln, "Klicken um das Spiel zu beginnen") : Tipp.SetToolTip(CmdAnleitung, "Öffnet die Spielanleitung im PDF-Format")
        Tipp.SetToolTip(CmdOk, "Ergebnis der Berechung übernehmen") : Tipp.SetToolTip(cmdNeuerVersuch, "Alle Würfel zurück in den Würfelbecher")
        Tipp.SetToolTip(LblAktuell, "Aktuelles Ergebnis dieser Spielrunde") : Tipp.SetToolTip(LblPunkte, "Bisher erreichte Gesamtpunktzahl")
        Tipp.SetToolTip(LblR, "Zwischebnergebnis der aktuellen Berechnung")
        Tipp.SetToolTip(CmdPlus, "Addition") : Tipp.SetToolTip(CmdMinus, "Subtraktion")
        Tipp.SetToolTip(CmdTeilen, "Division") : Tipp.SetToolTip(CmdMal, "Multiplikation")
        '--- schaltflächen
        CmdOk.Text = "Ü&bernehmen" : cmdNeuerVersuch.Text = "Neuer &Versuch" : CmdBeenden.Text = "B&eenden" : CmdAnleitung.Text = "S&pielanleitung"
        CmdWuerfeln.Text = "&Neues Spiel"
        LblInfo.Text = "Klicke auf >Neues Spiel<," & vbCrLf & "um ein neues Spiel zu beginnen."
        GrpRechenOperationen.Text = "Rechensymbole"
        GrundEinstellung()
        StarteDasSpiel()
        CmdWuerfeln.Text = "Würfel&n"
        'booSpielAktiv = True
    End Sub

End Class
